Subject: [Geopriv] LIS discovery and dhc-container-opt

From: "Thomson, Martin" <[email-masked]>
Date: Mon, 15 Feb 2010 10:28:18 +0800

A reference to draft-ietf-dhc-container-opt was added to the LIS discovery draft about a year ago.  That draft was, at the time, undergoing IESG evaluation.  I foolishly thought that since there was consensus from the DHC WG on the item, after the usual iterations, it would be published and we could rely on the mechanism that it provides.

That was a mistake, as can be seen from its IESG evaluation record:

   <https://datatracker.ietf.org/doc/draft-ietf-dhc-container-opt/>

I propose that we remove this reference and the accompanying text from the LIS discovery draft.  

That doesn't preclude its use if it does indeed turn out to be a good idea.  From reading the above notes, it's not clear that it is.

The change is simple.

Section 2.1, DELETE:
   [I-D.ietf-dhc-container-opt] might be used by an access network
   provider to convey configuration information to a residential gateway
   for use by the devices it serves.  Support and use of this option is
   RECOMMENDED for both residential gateways and devices.  Option values
   found within the container MUST be used after values that are
   directly in the DHCP response.

I plan to make this change along with any comments that arise from IESG evaluation.

Cheers,
Martin